Last Comment Bug 746771 - Mac installer needs to use updated webapp.json structure with registryDir instead of app.profile
: Mac installer needs to use updated webapp.json structure with registryDir ins...
Status: VERIFIED FIXED
[qa!]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Web Apps (show other bugs)
: 14 Branch
: x86 Mac OS X
: -- normal
: Firefox 14
Assigned To: :Felipe Gomes (needinfo me!)
: Jason Smith [:jsmith]
Mentors:
Depends on: 725408 739636
Blocks: 746213
  Show dependency treegraph
 
Reported: 2012-04-18 15:25 PDT by Ed Lee :Mardak
Modified: 2016-02-04 15:00 PST (History)
6 users (show)
jsmith: in‑moztrap-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (712 bytes, patch)
2012-04-18 15:34 PDT, :Felipe Gomes (needinfo me!)
myk: review+
Details | Diff | Splinter Review
for checkin (1.12 KB, patch)
2012-04-20 15:39 PDT, Ed Lee :Mardak
no flags Details | Diff | Splinter Review

Description Ed Lee :Mardak 2012-04-18 15:25:26 PDT
https://hg.mozilla.org/mozilla-central/rev/762911344837#l3.205
The code from bug 739636 creates a json object of format:
{
  app: {
    profile: ..,
    origin: ..,
    installOrigin: ..,
    manifest: ..
  }
}

The runtime from bug 725408 is expecting a top level registryDir property on this config file.

http://mxr.mozilla.org/mozilla-central/source/webapprt/WebappRTDirectoryProvider.js#24
Comment 1 Jason Smith [:jsmith] 2012-04-18 15:29:16 PDT
Dan - Any ideas?
Comment 2 :Felipe Gomes (needinfo me!) 2012-04-18 15:34:14 PDT
Created attachment 616320 [details] [diff] [review]
Patch

I'll wait for Mardak to confirm this is the correct fix before requesting review
Comment 3 Myk Melez [:myk] [@mykmelez] 2012-04-19 16:02:27 PDT
Comment on attachment 616320 [details] [diff] [review]
Patch

This is the right fix, per the install flow <https://etherpad.mozilla.org/webapprt-install-flow>.  However, also remove the `profile` property from the `app` structure, as it is redundant and unnecessary.
Comment 4 Ed Lee :Mardak 2012-04-20 15:39:20 PDT
Created attachment 617125 [details] [diff] [review]
for checkin
Comment 6 Phil Ringnalda (:philor, back in August) 2012-04-21 23:53:29 PDT
https://hg.mozilla.org/mozilla-central/rev/ffb9beb36e5a
Comment 7 Jason Smith [:jsmith] 2012-05-18 17:59:20 PDT
To verify this bug, I need to install an application and check that the webapp.json file contains registryDir, right?

For some reason when I do "Show Package Contents" on Mac, I can't find the webapp.json file. Is this expected?
Comment 8 Ed Lee :Mardak 2012-05-19 10:05:12 PDT
webapp.json actually appears in the user's profile and not part of the application:

~/Library/Application Support/marketplace-dev.allizom.org;https;-1/webapp.json
Comment 9 Jason Smith [:jsmith] 2012-05-24 17:51:34 PDT
Verified on OS X 10.7.

Note You need to log in before you can comment on or make changes to this bug.